# Wander Docs

## Wander Docs

- [Welcome to Wander](https://docs.wander.app/readme.md): A non-custodial Arweave and AO native wallet with extensive features.  Wander is available as a browser extension, mobile application, and embedded wallet SDK.
- [Intro - Wander Connect](https://docs.wander.app/wander-connect/intro.md): Introducing the Wander Connect Embedded Wallet for Arweave and AO
- [Options](https://docs.wander.app/wander-connect/options.md): Options for the Wander Connect SDK
- [Properties](https://docs.wander.app/wander-connect/properties.md): Properties for the Wander Connect SDK
- [Methods](https://docs.wander.app/wander-connect/methods.md): Methods available on the Wander Connect SDK
- [Event Callbacks](https://docs.wander.app/wander-connect/event-callbacks.md): Callbacks available on the Wander Connect SDK
- [Advanced Customization](https://docs.wander.app/wander-connect/advanced-customization.md): Advanced customization options for the Wander Connect Embedded Wallet
- [Custom UI](https://docs.wander.app/wander-connect/custom-ui.md): Custom UI for the Wander Connect Embedded Wallet
- [Subsidizing Payments](https://docs.wander.app/how-to/subsidizing-payments.md): Subsidizing Arweave/AO payments
- [Intro - Wander Injected API](https://docs.wander.app/api/intro.md): Introducing the Wander Injected API
- [Events](https://docs.wander.app/api/events.md): Wander DOM events
- [Connect](https://docs.wander.app/api/connect.md): Wander Injected API connect() function
- [Disconnect](https://docs.wander.app/api/disconnect.md): Wander Injected API disconnect() function
- [Get active address](https://docs.wander.app/api/get-active-address.md): Wander Injected API getActiveAddress() function
- [Get active public key](https://docs.wander.app/api/get-active-public-key.md): ArConnect Injected API getActivePublicKey() function
- [Get all addresses](https://docs.wander.app/api/get-all-addresses.md): Wander Injected API getAllAddresses() function
- [Get wallet names](https://docs.wander.app/api/get-wallet-names.md): Wander Injected API getWalletNames() function
- [Get Wander tier info](https://docs.wander.app/api/get-wander-tier-info.md): Wander Injected API getWanderTierInfo() function
- [Sign Transaction](https://docs.wander.app/api/sign.md): Wander Injected API sign() function
- [Dispatch Transaction](https://docs.wander.app/api/dispatch.md): Wander Injected API dispatch() function
- [Sign DataItem](https://docs.wander.app/api/sign-dataitem.md): Wander Injected API signDataItem() function
- [Batch Sign DataItem](https://docs.wander.app/api/batch-sign-dataitem.md): Wander Injected API batchSignDataItem() function
- [Sign message](https://docs.wander.app/api/sign-message.md): Wander Injected API signMessage() function
- [Verify message](https://docs.wander.app/api/verify-message.md): Wander Injected API verifyMessage() function
- [Private hash](https://docs.wander.app/api/private-hash.md): Wander Injected API privateHash() function
- [User Tokens](https://docs.wander.app/api/user-tokens.md): Wander Injected API userTokens() function
- [Token Balance](https://docs.wander.app/api/token-balance.md): Wander Injected API tokenBalance() function
- [Encrypt](https://docs.wander.app/api/encrypt.md): Wander Injected API encrypt() function
- [Decrypt](https://docs.wander.app/api/decrypt.md): Wander Injected API decrypt() function
- [Crypto signature](https://docs.wander.app/api/signature.md): Wander Injected API signature() function
- [Subscriptions](https://docs.wander.app/api/subscriptions.md): Wander Injected API subscription() function
- [Retrive permissions](https://docs.wander.app/api/get-permissions.md): Wander Injected API getPermissions() function
- [Retrive Gateway Config](https://docs.wander.app/api/get-arweave-config.md): Wander Injected API getArweaveConfig() function
- [Wander Devtools](https://docs.wander.app/developer-tooling/wander-devtools.md): Custom devtools tab for easier Wander testing
- [ArLocal Devtools](https://docs.wander.app/developer-tooling/arlocal-devtools.md): Custom devtools tab for easier ArLocal testing and operations


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.wander.app/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
